Index: src/sas/sascalc/calculator/c_extensions/sld2i.cpp
===================================================================
--- src/sas/sascalc/calculator/c_extensions/sld2i.cpp	(revision 9e531f2d45ba748a75200d6849494152c0ad9383)
+++ src/sas/sascalc/calculator/c_extensions/sld2i.cpp	(revision b523c0e4093c0c8e82cebd10672473d88adeaee9)
@@ -164,7 +164,7 @@
 	//Assume that pixel volumes are given in vol_pix in A^3 unit
 	// Loop over q-values and multiply apply matrix
-	for(size_t i=0; i<npoints; i++){
+	for(int i=0; i<npoints; i++){
 		sumj =0.0;		
-		for(size_t j=0; j<n_pix; j++){
+		for(int j=0; j<n_pix; j++){
 			//Isotropic: Assumes all slds are real (no magnetic)
 			//Also assumes there is no polarization: No dependency on spin
@@ -183,5 +183,5 @@
 				//full calculation
 				//pragma omp parallel for
-				for(size_t k=0; k<n_pix; k++){
+				for(int k=0; k<n_pix; k++){
 					sld_j =  sldn_val[j] * sldn_val[k] * vol_pix[j] * vol_pix[k];
 					qr = (x_val[j]-x_val[k])*(x_val[j]-x_val[k])+
Index: src/sas/sascalc/calculator/c_extensions/sld2i_module.cpp
===================================================================
--- src/sas/sascalc/calculator/c_extensions/sld2i_module.cpp	(revision 9e531f2d45ba748a75200d6849494152c0ad9383)
+++ src/sas/sascalc/calculator/c_extensions/sld2i_module.cpp	(revision b523c0e4093c0c8e82cebd10672473d88adeaee9)
@@ -153,7 +153,4 @@
 initsld2i(void)
 {
-    PyObject* m;
-
-    m = Py_InitModule3("sld2i", module_methods,
-                       "Sld2i module");
+    Py_InitModule3("sld2i", module_methods, "Sld2i module");
 }
Index: src/sas/sascalc/pr/c_extensions/Cinvertor.c
===================================================================
--- src/sas/sascalc/pr/c_extensions/Cinvertor.c	(revision b699768550de9d4b35b087234ec1d2a461922bab)
+++ src/sas/sascalc/pr/c_extensions/Cinvertor.c	(revision b523c0e4093c0c8e82cebd10672473d88adeaee9)
@@ -115,5 +115,5 @@
 
 	//self->params.x = data;
-	self->params.npoints = ndata;
+	self->params.npoints = (int)ndata;
 	return Py_BuildValue("i", self->params.npoints);
 }
@@ -180,5 +180,5 @@
 
 	//self->params.y = data;
-	self->params.ny = ndata;
+	self->params.ny = (int)ndata;
 	return Py_BuildValue("i", self->params.ny);
 }
@@ -245,5 +245,5 @@
 
 	//self->params.err = data;
-	self->params.nerr = ndata;
+	self->params.nerr = (int)ndata;
 	return Py_BuildValue("i", self->params.nerr);
 }
@@ -523,8 +523,8 @@
     residuals = PyList_New(self->params.npoints);
 
-    regterm = reg_term(pars, self->params.d_max, npars, nslice);
+    regterm = reg_term(pars, self->params.d_max, (int)npars, nslice);
 
     for(i=0; i<self->params.npoints; i++) {
-    	diff = self->params.y[i] - iq(pars, self->params.d_max, npars, self->params.x[i]);
+    	diff = self->params.y[i] - iq(pars, self->params.d_max, (int)npars, self->params.x[i]);
     	residual = diff*diff / (self->params.err[i]*self->params.err[i]);
 
@@ -573,9 +573,9 @@
     residuals = PyList_New(self->params.npoints);
 
-    regterm = reg_term(pars, self->params.d_max, npars, nslice);
+    regterm = reg_term(pars, self->params.d_max, (int)npars, nslice);
 
 
     for(i=0; i<self->params.npoints; i++) {
-    	diff = self->params.y[i] - pr(pars, self->params.d_max, npars, self->params.x[i]);
+    	diff = self->params.y[i] - pr(pars, self->params.d_max, (int)npars, self->params.x[i]);
     	residual = diff*diff / (self->params.err[i]*self->params.err[i]);
 
@@ -611,5 +611,5 @@
 	OUTVECTOR(data_obj,pars,npars);
 
-	iq_value = iq(pars, self->params.d_max, npars, q);
+	iq_value = iq(pars, self->params.d_max, (int)npars, q);
 	return Py_BuildValue("f", iq_value);
 }
@@ -636,5 +636,5 @@
 	OUTVECTOR(data_obj,pars,npars);
 
-	iq_value = iq_smeared(pars, self->params.d_max, npars,
+	iq_value = iq_smeared(pars, self->params.d_max, (int)npars,
 							self->params.slit_height, self->params.slit_width,
 							q, 21);
@@ -661,5 +661,5 @@
 	OUTVECTOR(data_obj,pars,npars);
 
-	pr_value = pr(pars, self->params.d_max, npars, r);
+	pr_value = pr(pars, self->params.d_max, (int)npars, r);
 	return Py_BuildValue("f", pr_value);
 }
@@ -689,9 +689,9 @@
 
 	if (err_obj == Py_None) {
-		pr_value = pr(pars, self->params.d_max, npars, r);
+		pr_value = pr(pars, self->params.d_max, (int)npars, r);
 		pr_err_value = 0.0;
 	} else {
 		OUTVECTOR(err_obj,pars_err,npars2);
-		pr_err(pars, pars_err, self->params.d_max, npars, r, &pr_value, &pr_err_value);
+		pr_err(pars, pars_err, self->params.d_max, (int)npars, r, &pr_value, &pr_err_value);
 	}
 	return Py_BuildValue("ff", pr_value, pr_err_value);
@@ -728,6 +728,6 @@
 	OUTVECTOR(data_obj,pars,npars);
 
-	oscill = reg_term(pars, self->params.d_max, npars, 100);
-	norm   = int_p2(pars, self->params.d_max, npars, 100);
+	oscill = reg_term(pars, self->params.d_max, (int)npars, 100);
+	norm   = int_p2(pars, self->params.d_max, (int)npars, 100);
 	return Py_BuildValue("f", sqrt(oscill/norm)/acos(-1.0)*self->params.d_max );
 
@@ -749,5 +749,5 @@
 	OUTVECTOR(data_obj,pars,npars);
 
-	count = npeaks(pars, self->params.d_max, npars, 100);
+	count = npeaks(pars, self->params.d_max, (int)npars, 100);
 
 	return Py_BuildValue("i", count );
@@ -770,5 +770,5 @@
 	OUTVECTOR(data_obj,pars,npars);
 
-	fraction = positive_integral(pars, self->params.d_max, npars, 100);
+	fraction = positive_integral(pars, self->params.d_max, (int)npars, 100);
 
 	return Py_BuildValue("f", fraction );
@@ -795,5 +795,5 @@
 	OUTVECTOR(err_obj,pars_err,npars2);
 
-	fraction = positive_errors(pars, pars_err, self->params.d_max, npars, 51);
+	fraction = positive_errors(pars, pars_err, self->params.d_max, (int)npars, 51);
 
 	return Py_BuildValue("f", fraction );
@@ -815,5 +815,5 @@
 	OUTVECTOR(data_obj,pars,npars);
 
-	value = rg(pars, self->params.d_max, npars, 101);
+	value = rg(pars, self->params.d_max, (int)npars, 101);
 
 	return Py_BuildValue("f", value );
@@ -835,5 +835,5 @@
 	OUTVECTOR(data_obj,pars,npars);
 
-	value = 4.0*acos(-1.0)*int_pr(pars, self->params.d_max, npars, 101);
+	value = 4.0*acos(-1.0)*int_pr(pars, self->params.d_max, (int)npars, 101);
 
 	return Py_BuildValue("f", value );
